pragma Ada_2012;

pragma Style_Checks (Off);
pragma Warnings (Off, "-gnatwu");

with Interfaces.C; use Interfaces.C;
with Interfaces.C.Extensions;
with System;

package stddef_h is

   --  unsupported macro: NULL __null
   --  arg-macro: procedure offsetof (TYPE, MEMBER)
   --    __builtin_offsetof (TYPE, MEMBER)
   subtype ptrdiff_t is int;  -- stddef.h:145

   subtype size_t is unsigned;  -- stddef.h:214

   type max_align_t is record
      uu_max_align_ll : aliased Long_Long_Integer;  -- stddef.h:425
      uu_max_align_ld : aliased long_double;  -- stddef.h:426
      uu_max_align_f128 : aliased Extensions.Float_128;  -- stddef.h:433
   end record
   with Convention => C_Pass_By_Copy;  -- stddef.h:435

   subtype nullptr_t is System.Address;  -- stddef.h:442

end stddef_h;

pragma Style_Checks (On);
pragma Warnings (On, "-gnatwu");
